# Continuous Integration Tests

This directory contains the necessary configuration to create and run tests
during the CI "test" stage to do basic sanity checking of the installed
components.

These tests expect to be run in the "geosphere-ci-tests" namespace on a
Kubernetes cluster, but this is configurable in the root `.gitlab-ci.yml`
configuration file (see `TESTS_NAMESPACE`).

## Administrative Setup

These tests depend on input test data being present on the cluster. The exact
path is in `cadu-pv.yaml`. Once the PeristentVolume and PersistentVolumeClaim
are created, the input data will be fed to the test CSPP Geo GRB container.

```bash
kubectl -n geosphere-ci-tests create cadu-pv.yaml
kubectl -n geosphere-ci-tests create cadu-pvc.yaml
```