#!/usr/bin/env bash

debug() {
    >&2 echo "DEBUG: $@"
}

error() {
    >&2 echo "ERROR: $@"
    exit 1
}

check_and_uninstall() {
    ns="$1"
    release_name="$2"
    if [[ -z "${release_name}" ]]; then
        # the chart was never created
        debug "Release doesn't exist"
        return
    fi
    debug "Uninstalling ${release_name}"
    helm uninstall -n "${ns}" "${release_name}" || (debug "Could not uninstall chart $release_name" && return 1)
}

ns=$(./helpers/get_namespace.sh)
source ./ci_tests/get_release_names.sh
EXIT_STATUS=0
check_and_uninstall "${ns}" "${GRB_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${RABBITMQ_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${GEO2GRID_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${TILEGEN_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${MAPSERVER_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${MAPCACHE_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${CLIENT_RELEASE_NAME}" || EXIT_STATUS=$?
exit $EXIT_STATUS
